%global debug_package %{nil}
%global __jar_repack 0
%global base_install_dir %{_javadir}{%name}


Name:           elasticsearch-cloud-kubernetes
Version:        2.4.1.redhat_1
Release:        1%{?dist}
Summary:        Allows ElasticSearch to use Kubernetes API for unicast discovery

Group:          System Environment/Daemons
License:        ASL 2.0
URL:            https://github.com/fabric8io/elasticsearch-cloud-kubernetes.git
Source1: elasticsearch-cloud-kubernetes-2.4.1.redhat-1.zip
Source2: elasticsearch-cloud-kubernetes-2.4.1.redhat-1-sources.jar
Source3: elasticsearch-cloud-kubernetes-2.4.1.redhat-1.jar
Source4: elasticsearch-cloud-kubernetes-2.4.1.redhat-1-project-sources.tar.gz
Source5: elasticsearch-cloud-kubernetes-2.4.1.redhat-1.pom
Source6: elasticsearch-cloud-kubernetes-2.4.1.redhat-1-scm-sources.zip

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       elasticsearch
Requires:       java-1.8.0-openjdk-headless

%description
The Kubernetes Cloud plugin allows ElasticSearch to use Kubernetes API
for the unicast discovery mechanism.

%prep
%setup -T -b 1 -c -n %{name}-2.4.1.redhat-1

ls -l

#docs
tar xfz %{SOURCE4} %{name}-2.4.1.redhat-1/{CONTRIBUTING.md,LICENSE.txt,NOTICE.txt,README.md}
mv %{name}-2.4.1.redhat-1/* .

%build
true

%install
rm -rf %{buildroot}

#libs
mkdir -p %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 *.jar %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 plugin-descriptor.properties %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 plugin-security.policy %{buildroot}%{_javadir}/%{name}/lib

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CONTRIBUTING.md LICENSE.txt NOTICE.txt README.md
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/lib/*.jar
%{_javadir}/%{name}/lib/plugin-descriptor.properties
%{_javadir}/%{name}/lib/plugin-security.policy

%changelog
* Mon Oct 31 2016 Rich Megginson <rmeggin@redhat.com> - 1.2.1.redhat_1-4
- add plugin-descriptor.properties and plugin-security.policy

* Mon Oct 19 2015 Rich Megginson <rmeggins@redhat.com> - 1.2.1.redhat_1-3
- correct doc files - correct build name

* Mon Oct 19 2015 Rich Megginson <rmeggins@redhat.com> - 1.2.1.redhat_1-2
- Fix description and prep section

* Mon Oct 19 2015 Rich Megginson <rmeggins@redhat.com> - 1.2.1.redhat_1-1
- Initial package
